From 3b4ee024aceb804d1f23b348255441a9a3ffc0c1 Mon Sep 17 00:00:00 2001
From: basos G <noxelia 4t gmail , com>
Date: Fri, 12 Dec 2008 22:36:37 +0200
Subject: [PATCH] Fix snapshot chroma/size mismach bug

On *some* cases ( like calling vout_Snapshot) from wihtin a filter
ther is a chroma mismatch for the vout->fmt_out and p_pic->format.
Also there is size mismatch. See the report in mail for more info.
---
 src/video_output/vout_intf.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/video_output/vout_intf.c b/src/video_output/vout_intf.c
index ccba33e..a76fd27 100644
--- a/src/video_output/vout_intf.c
+++ b/src/video_output/vout_intf.c
@@ -581,7 +581,7 @@ int vout_Snapshot( vout_thread_t *p_vout, picture_t *p_pic )
 
     /* */
     memset( &fmt_in, 0, sizeof(video_format_t) );
-    fmt_in = p_vout->fmt_out;
+    fmt_in = p_pic->format ;
     if( fmt_in.i_sar_num <= 0 || fmt_in.i_sar_den <= 0 )
     {
         fmt_in.i_sar_num =
-- 
1.5.6.5

